Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 233349

Summary: gjavah and gcjh wrongly parse -jni and -cni
Product: [Fedora] Fedora Reporter: Stepan Kasal <kasal>
Component: gccAssignee: Jakub Jelinek <jakub>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: aph, tromey
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 4.1.2-6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-03-28 10:35:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
patch, not tested none

Description Stepan Kasal 2007-03-21 19:15:59 UTC
I noticed that a command starting with "gcjh -jni" reports
   "gcjh: only one of -jni or -cni may be used"
though no -cni was given.

After inspecting the code, I believe that "gjavah -jni -cni" would not complain
though.

Comment 1 Stepan Kasal 2007-03-21 19:15:59 UTC
Created attachment 150612 [details]
patch, not tested

Comment 2 Tom Tromey 2007-03-26 17:08:29 UTC
Wow, embarrassing bug.
Your fix looks pretty good.  I'm testing it, if it works ok
I will check it in.  I'll update the bug when finished.


Comment 3 Tom Tromey 2007-03-26 22:17:34 UTC
Ok, I've checked this in to classpath, gcc trunk, and the gcc rh 4.1 branch.
On the branch it is r123241.